package de.ivu.elect.business.gebietsbaum.entity;

import java.io.Serializable;

/**
 *  on 21.12.2015.
 */
public class SvgGebietProperties implements Serializable {

  private final String fillColor;

  private final String strokeColor;

  private final long strokeWidth;

  private final double fillOpacity;

  private final double strokeOpacity;

  public SvgGebietProperties(String fillColor, String strokeColor, long strokeWidth, double fillOpacity, double strokeOpacity) {
    this.fillColor = fillColor;
    this.strokeColor = strokeColor;
    this.strokeWidth = strokeWidth;
    this.fillOpacity = fillOpacity;
    this.strokeOpacity = strokeOpacity;
  }

  public void apply(SvgPath svgPathgebiet) {
    svgPathgebiet.setFillColor(fillColor);
    svgPathgebiet.setFillOpacity(fillOpacity);
    svgPathgebiet.setStrokeColor(strokeColor);
    svgPathgebiet.setStrokeOpacity(strokeOpacity);
    svgPathgebiet.setStrokeWidth(strokeWidth);
  }
}
